package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.profile.Profile;
import fi.helsinki.w3m.metadata.MuseumModel;
import fi.helsinki.w3m.metadata.item.Image;

/*
 * $Author: jiemakel $
 * $Revision: 1.13 $
 * $Date: 2002/05/08 09:01:12 $
 */

public class InterestingImageAccessCountUtilityFunction extends UtilityFunction{
	private MuseumModel model;
	
	public InterestingImageAccessCountUtilityFunction(MuseumModel model){
		this.model=model;
	}
/**
*
*This method calculates the division of accesscount of InterestingImage by the highest amount of accesses to an image in a 
*model.
*
*@param int_image This is the received image. 
*@param profile Profile of the caller
*@returns an int mentioned above 
*
*/
	public int getUtility(InterestingImage int_image,UtilityInformation ui){
		int tmp=(int)(((int_image.getWeight()<<MAXUTILITYSHIFT)+1)/(model.getImageWeightMaximum()+1));
		log(int_image,tmp);
		return tmp;
		
	}









}
