package fi.helsinki.w3m.filter;
import java.util.*;

/*
 * $Author: jiemakel $
 * $Revision: 1.1 $
 * $Date: 2002/04/26 12:59:20 $
 */

public class MultiPassFilterChain extends MultiPassFilter {
    protected LinkedList filterChain;
	
    MultiPassFilterChain() {
	filterChain=new LinkedList();
    }
    
    public boolean addFilter(MultiPassFilter filter) {
	return filterChain.add(filter);
    }

    public Collection getFilterChain() {
	return filterChain;
    }
    
    public boolean removeUtilityFunction(MultiPassFilter filter) {
      return filterChain.remove(filter);
    }
    
    public List apply(List source) {
	List ret=source;
	for (Iterator i=filterChain.iterator();i.hasNext();) {
	    MultiPassFilter filter=(MultiPassFilter)i.next();
	    ret=filter.apply(ret);
	}
	return ret;
    }
}
