package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.metadata.*;
import java.util.*;

/*
 * $Author: jiemakel $
 * $Revision: 1.4 $
 * $Date: 2002/04/26 12:59:20 $
 */

public class MultiPassFilteredResourceCollection extends ResourceCollection {
    protected List resourceCollection;

    public MultiPassFilteredResourceCollection(List source, MultiPassFilter filter) {
	resourceCollection=filter.apply(source);
    }
    
    public ResourceIterator getIterator() {
	return new MultiPassFilteredResourceIterator(resourceCollection.iterator());
    }    
}
