package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.metadata.*;
import java.util.*;

/*
 * $Author: jiemakel $
 * $Revision: 1.1 $
 * $Date: 2002/04/26 09:10:58 $
 */

public class MultiPassFilteredResourceIterator extends ResourceIterator {
    protected Iterator listIterator;

    MultiPassFilteredResourceIterator(Iterator listIterator) {
	this.listIterator=listIterator;
    }
    
    protected Object getNext() {	
	Object next = null;
	if (listIterator!=null && listIterator.hasNext()) {
	    next=listIterator.next();
	}
	return next;
    }
    
    protected void closeHead() {
    }

    protected boolean hasNextHead() {
	boolean hasNextHead = false;
	if (this.listIterator != null) {
            hasNextHead = this.listIterator.hasNext();
        }
        return hasNextHead;
    }
}
