package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.metadata.ontology.OntologyResource;
import fi.helsinki.w3m.metadata.ResourceProvider;

/*
 * $Author: jiemakel $
 * $Revision: 1.1 $
 * $Date: 2002/04/26 10:11:52 $
 */

public class SinglePassFilteredResourceProvider implements ResourceProvider {
    protected SinglePassFilter filter;

    public SinglePassFilteredResourceProvider(SinglePassFilter filter) {
	this.filter=filter;
    }

    public OntologyResource getResource(Object from) {
	return filter.apply((OntologyResource)from);
    }
}
