package fi.helsinki.w3m.metadata.item;

import fi.helsinki.w3m.metadata.*;
import fi.helsinki.w3m.metadata.ontology.*;

/*
 * $Revision: 1.7 $
 * $Date: 2002/05/17 12:31:21 $
 */
 
/**
*An abstact item represented by the concrete items in the base ontology.
*/
public class AbstractItem extends Item {

	/**
	*A constructor for this class.
	*
	*@param another An AbstractItem to clone.
	*/
    public AbstractItem(AbstractItem another) {
	super(another);
    }
	
	/**
	*A constructor for this class.
	*
	*@param model The MuseumModel this AbstractItem belongs to.
	*@param id The identifier for this AbstractItem.
	*/	
    public AbstractItem(MuseumModel model, Id id) {
	super(model, id);
    }
}
