package fi.helsinki.w3m.metadata.item;

import fi.helsinki.w3m.metadata.*;
import fi.helsinki.w3m.metadata.ontology.*;

/*
 * $Revision: 1.8 $
 * $Date: 2002/05/17 12:31:21 $
 */
 
/**
*A concrete item represented by the base ontology.
*/
public abstract class ConcreteItem extends Item {
	
	/**
	*A constructor for this class.
	*
	*@param another A ConcreteItem to clone.
	*/
    public ConcreteItem(ConcreteItem another) {
	super(another);
    }
	
	/**
	*A constructor for this class.
	*
	*@param model The MuseumModel this ConcreteItem belongs to.
	*@param id The identifier for this ConcreteItem.
	*/
    public ConcreteItem(MuseumModel model, Id id) {
	super(model, id);
    }
}
