package fi.helsinki.w3m.metadata.ontology;

import java.util.*;
import java.net.*;

import fi.helsinki.w3m.metadata.*;
import fi.helsinki.w3m.metadata.item.*;

/*
 * $Revision: 1.9 $
 * $Date: 2002/05/17 12:31:23 $
 */

/**
*An OntologyResource that is not an item represented by or in the ontology.
*/
public abstract class OntologyElement extends OntologyResource{

	/**
	*A constructor for the OntologyElement class.
	*
	*@param another An OntologyElement object to clone.
	*/
    public OntologyElement(OntologyElement another) {
	super(another);
    }
	
	/**
	*A constructor for the OntologyElement class.
	*
	*@param model The parent MudeumModel of this object.
	*@param id The identifier for this object.
	*/	
    public OntologyElement(MuseumModel model, Id id) {
	super(model, id);
    }
}
