package fi.helsinki.w3m.ui.tags;

import java.util.*;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

import fi.helsinki.w3m.metadata.item.*;
import fi.helsinki.w3m.metadata.ontology.*;
import fi.helsinki.w3m.metadata.MuseumModel;
import fi.helsinki.w3m.metadata.*;

public class ImageInstanceIteratorTag extends BodyTagSupport {

	MuseumModel model;
	Iterator iterator;

	public int doStartTag() throws JspException {
		try{
		String location = "/home/tkt_w3mu/wwwmuseo_group/wwwmuseo_webapp/WEB-INF/data/";
		model = fi.helsinki.w3m.W3m.getModel(location);
		Image image = null;
		image = model.getImage(new SimpleId(pageContext.getRequest().getParameter("class")));
		
		iterator = image.getProperties().iterator();
		if(iterator.hasNext()){
			ResourceProperty rp = (ResourceProperty)iterator.next();
			pageContext.setAttribute("label",  rp.getLabel());
			pageContext.setAttribute("value",  rp.getValue().getValue());
			return EVAL_BODY_TAG;
		}else{
			return SKIP_BODY;
		}
		}catch(Exception e){e.printStackTrace();return SKIP_BODY;}
	}

	public int doAfterBody() throws JspException {
		if(iterator.hasNext()){
			ResourceProperty rp = (ResourceProperty)iterator.next();
			pageContext.setAttribute("label",  rp.getLabel());
			pageContext.setAttribute("value",  rp.getValue().getValue());
			return EVAL_BODY_TAG;
		}else{
			try{
				getBodyContent().writeOut(getPreviousOut());
			}catch(Exception e){
				throw new JspException(e.getMessage());
			}
			
			return SKIP_BODY;
		}
	}


}
