<%@ page import="fi.helsinki.w3m.beans.ClassNodeBean" %>
<%@ page import="fi.helsinki.w3m.beans.NodeBean" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>hiBrowse</title>
    <link rel="stylesheet" type="text/css" href="hiBrowse.css" title="Style">
 </head>

<%@ taglib uri='/WEB-INF/tlds/hiBrowse.tld' prefix='hiBrowse'%>

<body>


<hiBrowse:iterateFacets profile="skiitti">
<jsp:useBean id='facet' scope='session' class='fi.helsinki.w3m.beans.FacetBean'/>


 <table border="0" width="100%" cellpadding="2" cellspacing="0" class="facet">
      <thead>
	<!-- BEGIN(Header of this facet) -->
	<tr>
	  <!-- Name of this facet -->
	  <th width="99%" colspan="4" class="facetHeader">
	    <!-- -->
	    	<a href="/wwwmuseo/servlets/ActionServlet?paramNames=selectionPath,facet,class&action=selectClass&selectionPath=%20&facet=<jsp:getProperty name="facet" property="facetId"/>&target=hiBrowse&class=deSelect">
		<font color="#FFFFFF"><jsp:getProperty name="facet" property="facetName"/></font></a>
	  </th>
	  <!-- Close facet -->
	  <th width="1%" class="facetClose"><a href="/wwwmuseo/servlets/ActionServlet?facet=<jsp:getProperty name="facet" property="facetId"/>&action=killFacet&paramNames=facet&target=hiBrowse">X</a></th>
	</tr>
	<tr>
	  <td colspan="5" class="facetColHeader">
	  <!-- The chosen class' path -->
	    <table width="100%" border="1" id="facetPathTable">
	      <tr>
		<th width="5%" class="facetPathHeader">
		  Valittuna
		</th>
		<td class="facetPath" width="99%"><jsp:getProperty name="facet" property="headerNodes"/></td>
	      </tr>
	    </table>
	  </td>
	</tr>
	<tr>
	  <th colspan="2" class="facetColHeader"><a href="/wwwmuseo/servlets/ActionServlet?action=setOrderBy&paramNames=order,facet&order=instances&facet=<jsp:getProperty name="facet" property="facetId"/>&target=hiBrowse">Nimi</a> / <a href="/wwwmuseo/servlets/ActionServlet?action=setOrderBy&paramNames=order,facet&order=images&facet=<jsp:getProperty name="facet" property="facetId"/>&target=hiBrowse">Kuva</a></th>
	  <th width="5%" class="facetColHeader">Kuv</th>
	  <th width="5%" colspan="2" class="facetColHeader">Yht</th>
	</tr>
	<!-- END(Header of this facet) -->
      </thead>	
      
      
      
      
      
      
      <tbody>
      
<hiBrowse:iterateNodes facet="skiitti">
<jsp:useBean id='isImage' scope='session' class='java.lang.String'/>
<% if( ((String)pageContext.getAttribute("isImage")).compareTo("true") == 0 ){%>
<jsp:useBean id='imageNode' scope='session' class='fi.helsinki.w3m.beans.ImageNodeBean'/>
	<!-- BEGIN(image) -->
	<tr>
	  <td colspan="5">
	    <!-- BEGIN(images name) -->
	    <table border="0" width="100%" cellpadding="0" cellspacing="0">
	      <tbody>
		<tr>
		  <!-- IMAGE_ICON -->
		  
		  <td width="<%= ((NodeBean)pageContext.getAttribute("imageNode")).getDepth() * 15%>" align="right" class="imageIcon" nowrap></td><td><img src="<jsp:getProperty name="imageNode" property="iconURL"/>" height = "15" width = "15"></td>

		  <!-- Images instance's -->
		  <td align="left" width="99%" class="image"><a href="<jsp:getProperty name="imageNode" property="targetURL"/>?<jsp:getProperty name="imageNode" property="URLParameters"/>" target = "main"><jsp:getProperty name="imageNode" property="instanceNames"/></a></td>
		</tr>
	      </tbody>
	    </table>
	    <!-- END(images name) -->
	  </td>
	</tr>
	<!-- END(image) -->

<%}else{%>
<jsp:useBean id='classNode' scope='session' class='fi.helsinki.w3m.beans.ClassNodeBean'/>

	<!-- BEGIN(class) -->
	<tr>
	  <td colspan="2">
	    <!-- BEGIN(class' name) -->
	    <table border="0" width="100%" cellpadding="0" cellspacing="0">
	      <tbody>
		<tr>
		  <!-- CLOSE  -->
		  
		  
		  <td width="<%= ((ClassNodeBean)pageContext.getAttribute("classNode")).getDepth() * 15%>" align="right" class="classClose" nowrap><jsp:getProperty name="classNode" property="expanderOrCollapserHTML"/></td><td><img src="<jsp:getProperty name="classNode" property="iconURL"/>" height = "15" width = "15"></td>
		  <!-- Class' name -->
		  <% if( ((ClassNodeBean)pageContext.getAttribute("classNode")).getAmountOfImages() > 0 ){%>
		  
		  <td align="left" width="99%" class="facetClass" nowrap><a href="<jsp:getProperty name="classNode" property="targetURL"/>?<jsp:getProperty name="classNode" property="URLParameters"/>"><jsp:getProperty name="classNode" property="header"/></a></td>
		  <% }else{ %>
		   <td align="left" width="99%" class="facetClass" nowrap><jsp:getProperty name="classNode" property="header"/></td>
		  <% } %>
		</tr>
	      </tbody>
	    </table>
	    <!-- END(class' name) -->
	  </td>
	  <!-- Number of pictures in this class shown -->
	  <td align="center" class="info"><jsp:getProperty name="classNode" property="amountOfImages"/></td>
	  <!-- Total number of pictures in this class -->
	  <td align="center" colspan="2" class="info"><jsp:getProperty name="classNode" property="amountOfAllImages"/></td>
	</tr>
	<!-- END(class) -->
     
      <% } %>
      
</hiBrowse:iterateNodes>      
      
      </tbody>
      
</table>


<br>
</hiBrowse:iterateFacets>

<form name="facets" method="get" action="/wwwmuseo/servlets/ActionServlet">
<input type = "hidden" name="action" value="showFacet">
<input type = "hidden" name="paramNames" value="facet">
<input type = "hidden" name="target" value="hiBrowse">
<select name="facet">
<option value="" selected>Lis&auml;&auml; fasetti</option>


<hiBrowse:iterateAddableFacets>

<jsp:useBean id='addableFacet' scope='session' class='fi.helsinki.w3m.beans.AddableFacetBean'/>

<option value="<%= pageContext.getAttribute("facetId") %>"><%= pageContext.getAttribute("facetName") %> (<%= pageContext.getAttribute("facetImageCount") %>)</option>


</hiBrowse:iterateAddableFacets>

</select>
<input type="submit" value=">>>">
</form>

</body>
</html>