package fi.helsinki.w3m.beans;

import java.util.*;


public class ImageNodeBean extends NodeBean implements Comparable{
	
	private Vector instanceNames;
	
	public ImageNodeBean(){
		instanceNames = new Vector();
	}
	
	public String getInstanceNames(){
		String ret = "";
		for(int i = 0; i < this.instanceNames.size(); ++i){
			ret = ret + ((String) this.instanceNames.get(i));
			if(this.instanceNames.size() > i){
				ret = ret + "<br>";
			}
		}
		
		return ret;
	}
	
	public void addInstanceName(String s){
		this.instanceNames.add(s);
		Collections.sort(instanceNames);
	}
	
	public String getFirstInstanceName(){
		if(this.instanceNames.size() > 0){
			return (String)this.instanceNames.get(0);
		}
		return "";
	}
	
	
	public int compareTo(ImageNodeBean other){
		//System.out.println("other: "+other.getFirstInstanceName());
		//System.out.println("this.getFirstInstanceName(): "+this.getFirstInstanceName());
		//System.out.println("returning: "+this.getFirstInstanceName().compareTo(other.getFirstInstanceName()));
		return this.getFirstInstanceName().compareTo(other.getFirstInstanceName()); 
	}
	
	public int compareTo(Object o){
		return this.compareTo((ImageNodeBean)o);
	}
	
}
