package fi.helsinki.w3m.filter;

import fi.helsinki.w3m.filter.*;
import fi.helsinki.w3m.*;
import fi.helsinki.w3m.metadata.item.*;
import fi.helsinki.w3m.metadata.ontology.*;
import fi.helsinki.w3m.metadata.*;
import fi.helsinki.w3m.profile.Profile;
import java.util.*;


public class FilterTest{
    public static void main (String [] args){
	MuseumModel testModel = W3m.getModel("../../../../../data");   
	Filter testFilter = W3m.getFilter();
	//System.out.println("Creating model.");
	//final MuseumModel model = new MuseumModel(new URL("http://localhost/"), "../../../../../data");		
	SimpleId test_id = new SimpleId("file:"+testModel.getBasePath()+"rdf/img_1780");
	Profile prof = new Profile();
	Collection testInterestingLinks = testFilter.getInterestingLinks(test_id, prof);
	for(Iterator iter = testInterestingLinks.iterator();iter.hasNext();){
	    InterestingLink il = (InterestingLink)iter.next();
	    System.out.println(il.getLinkName());
	}
	test_id = new SimpleId("file:"+testModel.getBasePath()+"rdf/img_100296");
	testInterestingLinks = testFilter.getInterestingLinks(test_id, prof);
	for(Iterator iter = testInterestingLinks.iterator();iter.hasNext();){
	    InterestingLink il = (InterestingLink)iter.next();
	    System.out.println(il.getLinkName()+" ("+(double)il.getUtility()/UtilityFunction.MAXUTILITY+")");
	}
	test_id = new SimpleId("file:"+testModel.getBasePath()+"rdf/img_5680");
	testInterestingLinks = testFilter.getInterestingLinks(test_id, prof);
	for(Iterator iter = testInterestingLinks.iterator();iter.hasNext();){
	    InterestingLink il = (InterestingLink)iter.next();
	    System.out.println(il.getLinkName()+" ("+(double)il.getUtility()/UtilityFunction.MAXUTILITY+")");
	}
	test_id = new SimpleId("file:"+testModel.getBasePath()+"rdf/img_5680");
	testInterestingLinks = testFilter.getInterestingLinks(test_id, prof);
	for(Iterator iter = testInterestingLinks.iterator();iter.hasNext();){
	    InterestingLink il = (InterestingLink)iter.next();
	    System.out.println(il.getLinkName()+" ("+(double)il.getUtility()/UtilityFunction.MAXUTILITY+")");
	}
    }
}
