package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.profile.Profile;
import fi.helsinki.w3m.metadata.MuseumModel;

/*
 * $Author: jiemakel $
 * $Revision: 1.10 $
 * $Date: 2002/05/08 09:01:12 $
 */

public class InterestingLinkTargetImageGlobalAccessCountUtilityFunction extends UtilityFunction {
    private MuseumModel model;

    public InterestingLinkTargetImageGlobalAccessCountUtilityFunction(MuseumModel model) {
	this.model=model;
    }
    
/**
*This method returns the accesses of an Image of an il.
*@param il This is a received InterestingLink. 
*@returns int that is mentioned above
*
*/
    public int getUtility(InterestingLink il, UtilityInformation ui) {
	int tmp=(int)(((il.getImage().getWeight()+1)<<MAXUTILITYSHIFT)/(model.getImageWeightMaximum()+1));
	log(il,tmp);
	return tmp;
    }
}
