package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.metadata.ontology.OntologyResource;
import java.util.*;

/*
 * $Author: jiemakel $
 * $Revision: 1.1 $
 * $Date: 2002/04/26 12:59:20 $
 */

public class SinglePassFilterChain extends SinglePassFilter {
    protected LinkedList filterChain;
	
    SinglePassFilterChain() {
	filterChain=new LinkedList();
    }
    
    public boolean addFilter(SinglePassFilter filter) {
	return filterChain.add(filter);
    }

    public Collection getFilterChain() {
	return filterChain;
    }
    
    public boolean removeUtilityFunction(SinglePassFilter filter) {
      return filterChain.remove(filter);
    }
    
    public OntologyResource apply(OntologyResource source) {
	OntologyResource ret=source;
	for (Iterator i=filterChain.iterator();i.hasNext();) {
	    SinglePassFilter filter=(SinglePassFilter)i.next();
	    ret=filter.apply(ret);
	}
	return ret;
    }
}
