package fi.helsinki.w3m.filter;
import fi.helsinki.w3m.profile.Profile;
import fi.helsinki.w3m.metadata.item.Image;
import java.util.Collection;

/*
 * $Author: jiemakel $
 * $Revision: 1.8 $
 * $Date: 2002/04/24 12:42:46 $
 */

public class UtilityInformation {
    private Profile profile;
    private Collection itemList;
    private Image sourceImage;

    UtilityInformation(Image sourceImage, Profile profile,Collection itemList) {
	this.sourceImage=sourceImage;
	this.profile=profile;
	this.itemList=itemList;
    }

    UtilityInformation(Profile profile,Collection itemList) {
	this.profile=profile;
	this.itemList=itemList;
    }

    public Image getSourceImage() {
	return sourceImage;
    }

    public boolean setSourceImage(Image si) {
	sourceImage=si;
	return true;
    }
    
    public Profile getProfile() {
	return profile;
    }

    public boolean setProfile(Profile p) {
	profile=p;
	return true;
    }

    public Collection getItemList() {
	return itemList;
    }
    
    public boolean setItemList(Collection v) {
	itemList=v;
	return true;
    }
}
