package fi.helsinki.w3m.filter;

/*
 * $Author: jiemakel $
 * $Revision: 1.5 $
 * $Date: 2002/04/23 10:10:31 $
 */

/**
*This class encapsulates an UtilityFunction together with it's desired weight.
*/ 
class WeighedUtilityFunction {
    
    private UtilityFunction uf;
    private int weight;
    
    WeighedUtilityFunction(UtilityFunction uf,int weight) {
	this.uf=uf;
	this.weight=weight;
    }
    
    public boolean setWeight(int weight) {
	this.weight=weight;
	return true;
    }
    
    public int getWeight() {
	return weight;
    }
    
    public boolean setUtilityFunction(UtilityFunction uf) {
	this.uf=uf;
	return true;
    }
    
    public UtilityFunction getUtilityFunction() {
	return uf;
    }
}
