package fi.helsinki.w3m.metadata.item;

import fi.helsinki.w3m.metadata.*;
import fi.helsinki.w3m.metadata.ontology.*;

/**
*An item represented by or in the base ontology.
*/
public class Item extends OntologyResource {

	/**
	*A constructor for this class.
	*
	*@param another An Item to clone.
	*/
    public Item(Item another) {
	super(another);
    }

	/**
	*A constructor for this class.
	*
	*@param model The MuseumModel this Item belongs to.
	*@param id The identifier for this Item.
	*/
    public Item(MuseumModel model, Id id) {
	super(model, id);
    }
}
