package fi.helsinki.w3m.ui.tags;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.TagSupport;
import javax.servlet.http.HttpServletRequest;
/*
import fi.helsinki.w3m.profile.*;

import fi.helsinki.w3m.metadata.*;

import fi.helsinki.w3m.filter.*;
import fi.helsinki.w3m.W3m;

import java.util.Vector;
import java.util.Hashtable;
import java.util.StringTokenizer;
*/


public class HiBrowseTag extends TagSupport{
/*	
    Profile profile;
    Filter filter;
    JspWriter out;
    Hashtable intersect;
	

    public int doStartTag() throws JspException{
		
	String location = "/home/tkt_w3mu/wwwmuseo_group/wwwmuseo_webapp/WEB-INF/data/";

	//System.out.println("calling getFilter with parameter: "+location);
	filter = W3m.getFilter(location);
		
	initProfile();
	this.intersect = OntologyClass.getIntersectImagesHash( profile.getActiveClasses() );

	try{
	    out = pageContext.getOut();
	    Vector facets = getFacets();
		    
	    out.println("<b>Kuvia: "+this.intersect.size()+"/total?</b>");
		
	    //System.out.println(facets);
		    
	    for(int i = 0; i < facets.size(); ++i) {
		//System.out.println("facet iteration "+i);
		FacetSelection fs = (FacetSelection)facets.elementAt(i);
		printFacetHeader(fs);
		printFacetContent(fs);
	    }
			
			
	}catch(Exception e){
	    e.printStackTrace();
	}
	return SKIP_BODY;
    }

    public int doEndTag() throws JspException{
	return EVAL_PAGE;
    }
	
    private void printFacetHeader(FacetSelection fs) throws java.io.IOException{
	OntologyClass node = fs.getActiveNode();
	    
	StringTokenizer st = new  StringTokenizer(fs.getSelectionPath(), Profile.ONTOLOGY_CLASS_SEPARATOR);
	out.println(
		    "<tr>" +
		    "<th height=\"18\" width=\"90%\">");
	    
	String facetPathString = "";
	boolean isRoot = true;
	while (st.hasMoreTokens()) {
	    String parentId = st.nextToken();
	    OntologyClass parent = filter.getOntologyClass(parentId);
		
	    out.println("<a href=\"/wwwmuseo/servlets/ActionServlet?"+
			"paramNames=selectionPath,facet,class"+
			"&action=selectClass"+
			"&selectionPath="+java.net.URLEncoder.encode(facetPathString)+
			"&facet="+fs.getId()+
			"&target=hiBrowse"+
			"&class="+
			java.net.URLEncoder.encode(parent.getId())+
			"&debug=jotain\" class=\"facetRoot\">"+
			parent.getName()+"</a><b>"+(isRoot ? ":" : "")+"/</b>");
		
	    if (!isRoot) facetPathString += Profile.ONTOLOGY_CLASS_SEPARATOR;
	    else isRoot = false;
	    facetPathString += parentId;
	}

	out.println(node.getName());
	    
	out.println("</th>"+
		    "<th height=\"18\" width=\"10%\" class=\"closeFacet\" align=\"center\" valign=\"top\">[<a href=\"/wwwmuseo/servlets/ActionServlet?facet="+fs.getId()+"&action=killFacet&paramNames=facet&target=hiBrowse\">X</a>]</th>"+
		    "</tr>");
    }
    

    private void printFacetContent(FacetSelection facet) throws java.io.IOException{
	out.println("<tr><td>");
	//System.out.println("printFacetContent");
	/* Tm muuttaa tmn hakemistomaiseksi
	   OntologyClass root = facet.getFacetRoot();
	*/
/*
	// Active node --> at the beginning root
	OntologyClass node = facet.getActiveNode();

	// If facet is open...
	if (facet.isOpen(node.getId())) {
	    printNode(facet, facet.getSelectionPath(), node, true);
	}
	out.println("</td></tr>");
    }
	
    private void printNode(FacetSelection facet, String selectionPath, OntologyClass node, boolean onlyContent) throws java.io.IOException{
	//System.out.println("printChild Method");

	// Childrens of node
	Vector children = node.getChildren( OntologyClass.DIRECT );

	// Pictures that are direct instances of OntologyClass node
	Vector pics = node.getIntersectImages( this.intersect, OntologyClass.DIRECT );

	// All pictures that are  instances of OntologyClass node
	Vector picsAll = node.getIntersectImages( this.intersect, OntologyClass.ALL );

	boolean isOpen = facet.isOpen(node.getId());

	boolean hasContent = children.size() > 0 || picsAll.size() > 0;

	if (!onlyContent) {
	    out.println("<li>");
		    
	    // Node is open --> "[-] node"
	    if ( isOpen ) {
		out.println("[<a class=\"facetOpen\" href=\"/wwwmuseo/servlets/ActionServlet?action=closeClass&facet="+facet.getId()+"&target=hiBrowse&class="+java.net.URLEncoder.encode(node.getId())+"\" target=\"_self\">&#150;</a>]");
	    }
		    
	    // Node is closed...
	    else{
		// ...but has content --> "[+] node"
		if (hasContent) {
		    out.println("[<a href=\"/wwwmuseo/servlets/ActionServlet?action=openClass&facet="+facet.getId()+"&target=hiBrowse&class="+java.net.URLEncoder.encode(node.getId())+"\" class=\"facetOpen\">+</a>]");
		}
			
		// doesn't have content --> "node"
		else{
		    //out.println("[&nbsp;]");
		}
	    }
		    
	    // Print node
	    if (picsAll.size() > 0) {
		out.println("<a href=\"/wwwmuseo/servlets/ActionServlet?paramNames=selectionPath,facet,class&action=selectClass&selectionPath="+java.net.URLEncoder.encode(selectionPath)+"&facet="+facet.getId()+"&target=hiBrowse&class="+java.net.URLEncoder.encode(node.getId())+"\" class=\"facetClass\">"+node.getName()+"</a>"); 

		out.println(" ("+picsAll.size()+"/"+node.getImageCount()+")");
	    }
	    else {
		out.println("<font color=\"grey\">"+node.getName()+" ("+0+"/"+node.getImageCount()+")</font>"); 
	    }

	    out.println("</li>");
	}

	// if node is open and has content...
	if ( isOpen && hasContent ) {
	    out.println("<ul>");

	    // print pictures (if any)
	    for (int i = 0; i < pics.size(); ++i) {
		try{
		    printImage((Image)pics.elementAt(i), node);
		}catch (Exception e){e.printStackTrace();}
	    }

	    // print children (if any)
	    for (int i = 0; i < children.size(); ++i) {
		OntologyClass child = (OntologyClass)children.elementAt(i);
		printNode(facet, selectionPath + Profile.ONTOLOGY_CLASS_SEPARATOR + node.getId(), child, false);
	    }

	    out.println("</ul>");
	}
    }
    
    private void printImage(Image node, OntologyClass instanceOf ) throws java.io.IOException{
	if (node != null) {
	    String label = node.getLabelForClass( instanceOf );
	    
	    out.println(	" <li>"+
				"<a href=\"/wwwmuseo/servlets/ActionServlet?action=setSelectedPicture&class="+java.net.URLEncoder.encode(node.getImageCode())+"&target=main\" target=\"main\" class=\"facetPicture\">"+label+"</a>"+ 
				"</li>");
	}
    }

	
    private Vector getFacets() {
	return profile.getStateOfHiBrowse();
    }
	

	
    private void initProfile(){
	Profile p = (Profile)pageContext.getSession().getAttribute("profile");
	if(p == null){
	    this.profile = new Profile();
	    pageContext.getSession().setAttribute("profile", p);
	}else{
	    this.profile = p;
	}
    }*/
}
